Subject: Re: [PATCH tip/core/rcu 2/3] srcu: Force full grace-period ordering

From: Ingo Molnar <[email-masked]>
Date: Sun, 15 Jan 2017 10:40:58 +0100

* Paul E. McKenney <[email-masked]> wrote:

> > [sounds of rummaging around in the Git tree]
> > 
> > I found this commit of yours from ancient history (more than a year ago!):
> > 
> >   commit 12d560f4ea87030667438a169912380be00cea4b
> >   Author: Paul E. McKenney <[email-masked]>
> >   Date:   Tue Jul 14 18:35:23 2015 -0700
> > 
> >     rcu,locking: Privatize smp_mb__after_unlock_lock()
> >     
> >     RCU is the only thing that uses smp_mb__after_unlock_lock(), and is
> >     likely the only thing that ever will use it, so this commit makes this
> >     macro private to RCU.
> >     
> >     Signed-off-by: Paul E. McKenney <[email-masked]>
> >     Cc: Will Deacon <[email-masked]>
> >     Cc: Peter Zijlstra <[email-masked]>
> >     Cc: Benjamin Herrenschmidt <[email-masked]>
> >     Cc: "[email-masked]" <[email-masked]>
> > 
> > So I concur and I'm fine with your patch - or with the status quo code as well.
> 
> I already have the patch queued, so how about I keep it if I get an ack
> from the powerpc guys and drop it otherwise?

Yeah, sounds good! Your patch made me look up 'RelAcq' so it has documentation 
value as well ;-)

Thanks,

	Ingo